class Meteorlog::Logger < ::Logger
  include Singleton

  def initialize
    super($stdout)

    self.formatter = proc do |severity, datetime, progname, msg|
      "#{msg}\n"
    end

    self.level = Logger::INFO
  end

  def set_debug(value)
    self.level = value ? Logger::DEBUG : Logger::INFO
  end

  module Helper
    def log(level, message, color, log_id = nil)
      message = "[#{level.to_s.upcase}] #{message}" unless level == :info
      message << ": #{log_id}" if log_id
      message << ' (dry-run)' if @options && @options[:dry_run]
      logger = (@options && @options[:logger]) || Meteorlog::Logger.instance
      logger.send(level, message.send(color))
    end
  end
end
